<!DOCTYPE html>
<html>
<head>
	<title>
	</title>
	<script type="text/javascript">
        var ukraine = ["Киев", "Харьков", "Львов", "Днепропетровск"];
        var index = Math.floor(Math.random()*ukraine.length);
        var arr = [];
        var word = ukraine[index];
        var count = word.length;
        
        for(i=0;i<word.length;i++){
        	arr.push('_'); // to add method push
        }
        do{
        	alert('Введите слово:' + arr.join(' ') + 'Вам осталось угадать ' + count + ' букв')
                var question = confirm('Будете играть?');
                var letter = prompt('Введите букву');
        	        	
        	if(letter === null) {
                        document.write('Cancel');
        		break;
        	}
        	else if (isNaN(letter)==0) {
                        continue;
        	}
        	else if(letter.length>1) {
                        document.write('Вы ввели больше одной буквы.')
                        break;
        		
        	}
                else {
                        for(var j=0; j<word.length; j++) {
                                if (word[j] === letter) {
                                arr[j] = letter;
                                count--;
                                continue;
                                }
                        }
                }
                                                
        }while(count>0)

        if(count == 0){
                document.write('Вы угадали слово "' + word + '"!')
                }
        </script>
</head>
<body>

</body>
</html>